Page MenuHomePhabricator

[NVPTX] Make the alignment an explicit argument to ldu/ldg
ClosedPublic

Authored by jingyue on Aug 27 2014, 7:19 PM.

Details

Summary

Instead of specifying the alignment as metadata which may be destroyed by
transformation passes, make the alignment the second argument to ldu/ldg
intrinsic calls.

Diff Detail

Event Timeline

jingyue updated this revision to Diff 13018.Aug 27 2014, 7:19 PM
jingyue retitled this revision from to Make the alignment an explicit argument to ldu/ldg.
jingyue updated this object.
jingyue edited the test plan for this revision. (Show Details)
jingyue added reviewers: jholewinski, eliben, meheff.
jingyue added a subscriber: Unknown Object (MLST).
jingyue retitled this revision from Make the alignment an explicit argument to ldu/ldg to [NVPTX] Make the alignment an explicit argument to ldu/ldg.Aug 27 2014, 7:20 PM
jholewinski edited edge metadata.Aug 28 2014, 5:04 AM

LGTM, but let me check with some folks internally.

meheff accepted this revision.Aug 28 2014, 8:40 AM
meheff edited edge metadata.

LGTM

This revision is now accepted and ready to land.Aug 28 2014, 8:40 AM
jholewinski accepted this revision.Aug 29 2014, 7:39 AM
jholewinski edited edge metadata.

No issues internally, please commit. Thanks!

jingyue closed this revision.Aug 29 2014, 8:39 AM